List your RWA distribution credits
curl --request GET \
--url https://api.qbank.cl/platform/v1/rwa/distributions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/rwa/distributions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/rwa/distributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/distributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/distributions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/rwa/distributions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/distributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"page_size": 50,
"distributions": [
{
"leg_id": "55555555-5555-4555-8555-555555555555",
"distribution_id": "66666666-6666-4666-8666-666666666666",
"project_code": "RWA-MIN01",
"period": "2026-Q4",
"tokens": "890.000000",
"share_usdt": "12.500000",
"fee_usdt": "0.125000",
"created_at": "2026-11-15T15:00:00Z"
}
]
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}List your RWA distribution credits
Paginated royalty distribution credits of the authenticated account in a date range.
GET
/
v1
/
rwa
/
distributions
List your RWA distribution credits
curl --request GET \
--url https://api.qbank.cl/platform/v1/rwa/distributions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/rwa/distributions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/rwa/distributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/distributions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/distributions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/rwa/distributions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/distributions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"page_size": 50,
"distributions": [
{
"leg_id": "55555555-5555-4555-8555-555555555555",
"distribution_id": "66666666-6666-4666-8666-666666666666",
"project_code": "RWA-MIN01",
"period": "2026-Q4",
"tokens": "890.000000",
"share_usdt": "12.500000",
"fee_usdt": "0.125000",
"created_at": "2026-11-15T15:00:00Z"
}
]
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}Authorizations
Query Parameters
Response
Paginated distribution credits.